#ifndef KYFILEDIALOGRENAME_H
#define KYFILEDIALOGRENAME_H

#include <QTextEdit>
#include "file-operation-error-handler.h"
#include "kyfileoperationdialog.h"

enum TurnCateType {
    Post = 0,
    Front,
};

class MyTextEdit : public QTextEdit
{
    Q_OBJECT
public:
    explicit MyTextEdit(QWidget *parent = nullptr);
    ~MyTextEdit();

};


class KyFileDialogRename : public KyFileOperationDialog, public Peony::FileOperationErrorHandler
{
    Q_OBJECT
public:
    explicit KyFileDialogRename(QWidget *parent = nullptr);
    ~KyFileDialogRename();

    void handle(Peony::FileOperationError &error) override;
    const QString truncateDestFileName(const QString &uri, const int cateType, QString fsType);
    QWidget *m_currentWidget = nullptr;

    bool dialogResult();

    void setCurrentUri(QString uri);
    QString currentUri();
    void setMaxLength(int maxLength);

Q_SIGNALS:
    void changeFileName(QString name);
    void muchLongNameReject();

private:
    bool m_dialogAccept = true;
    QString m_truncateFileName;
    QString m_currentUri;
    int m_maxLength = 255;
};

#endif // KYFILEDIALOGRENAME_H
